// Copyright 2022 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { CrLitElement } from 'chrome://resources/lit/v3_0/lit.rollup.js';
import { getCss } from './button_label.css.js';
import { getHtml } from './button_label.html.js';
export class ButtonLabelElement extends CrLitElement {
    static get is() {
        return 'customize-chrome-button-label';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            label: { type: String },
            labelDescription: { type: String },
        };
    }
    #label_accessor_storage = '';
    get label() { return this.#label_accessor_storage; }
    set label(value) { this.#label_accessor_storage = value; }
    #labelDescription_accessor_storage = null;
    get labelDescription() { return this.#labelDescription_accessor_storage; }
    set labelDescription(value) { this.#labelDescription_accessor_storage = value; }
}
customElements.define(ButtonLabelElement.is, ButtonLabelElement);
